Skip to main content
POST
/
credit-applications
/
{credit_application_id}
/
additional-documents
/
confirmation
Confirm sending additional document for the credit application
curl --request POST \
  --url https://api.mycreditapp.ai/v1-beta/credit-applications/{credit_application_id}/additional-documents/confirmation \
  --header 'Authorization: Bearer <token>' \
  --header 'Requester-Organization-ID: <requester-organization-id>' \
  --header 'Target-Organization-ID: <target-organization-id>'
{
  "financial_analysis_type": "full",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "financial_documents": [
    "year_end_financial"
  ],
  "additional_documents": "One year cashflow statement",
  "message": "Please provide updated financials",
  "additional_documents_sent": false
}

Authorizations

Authorization
string
header
required

Bearer authentication using a JWT token. Provide a valid access token. Authorization header format: Authorization: Bearer <token>.

Headers

Requester-Organization-ID
string<uuid>
required

The unique identifier of the organization making the request. This ID is used to authorize the requester within the system.

Example:

"054b4106-174b-46b0-97f8-86d8d7b6f0af"

Target-Organization-ID
string<uuid>
required

The unique identifier of the organization that is the target of the request. The Target-Organization-ID may match the Requester-Organization-ID if the requester accesses their own resources. If the Target-Organization-ID differs from the Requester-Organization-ID, the requester can access third-party resources if the requester has a connection with the target organization and is authorized to perform such actions.

Example:

"123e4567-e89b-12d3-a456-426614174000"

Path Parameters

credit_application_id
string<uuid>
required

Unique identifier of the credit application

Example:

"b2a9f8d3-7b7d-4c1b-a2a1-9c2d0b123456"

Response

Successful Response

financial_analysis_type
enum<string>
required

Type of financial analysis required

Available options:
full,
partial,
none
created_at
string<date-time>
required

Timestamp when needs-action record was created

Example:

"2025-01-01T12:00:00.123456"

updated_at
string<date-time>
required

Timestamp when needs-action record was updated

Example:

"2025-01-01T12:00:00.123456"

financial_documents
enum<string>[] | null

List of financial documents required

Minimum array length: 1
Available options:
year_end_financial,
interim_financial,
bank_statement,
financial_package
additional_documents
string[] | null

Additional supporting documents

Minimum array length: 1
Example:

"One year cashflow statement"

message
string | null

Optional message for the applicant

Required string length: 1 - 500
Example:

"Please provide updated financials"

additional_documents_sent
boolean
default:false

Indicates if additional documents were sent